WG13 Issues - CIM Issues #6635

Add URI as a domain primitive
12/12/2023 06:01 AM - Svein Olsen

Status: Closed

Priority: Normal

Target version:

Author/Contact Info:  Svein Olsen Standard(s): 61970-301

Base Release: CIM17 Version:

Solution to be CIM18v10 Clause:

Applied To:

Solution Version: CIM18v10 Sub-Clause:

Solution Applied By: Chavdar Ivanov Paragraph:

Completion Date: 02/28/2024 Table:

CIM Keywords: 61970-Domain Originally Closed in
Version:

Breaking Change: Origination Date:

Breaking Change Origination ID:

Description:

CIM Impacted WG13, WG14, WG16, WG21 Originally Assigned

Groups: To:

Requestor:

Description

We have the use cases both in TF13 and TF14 for attributes that confirms to Uniform Resource Identifier Reference (URI) which
conforms to XSD datatype anyURI.

Proposed Solution

Add a new <<Primitive>> to Grid\Base\Domain with:
Name: URI

Notes:

Uniform Resource Identifier Reference (URI).

The value can be absolute or relative, and may have an optional fragment identifier (i.e., it may be a URI Reference). This type
should be used to specify the intention that the value fulfills the role of a URI as defined by [RFC 2396], as amended by [RFC 2732].

Decision
20-Dec-2023 discussed in our WG13 weekly call:

DECISIONS:

1. Agree to add a new URI type with the description as defined in the proposed solution.

2. WE will create separate Redmines issues to move relevant content from the UML into IEC 61970-552 and IEC 61968-100
publications.

Release Notes

Added new datatype, the primitive URI with the following description "Uniform Resource Identifier Reference (URI). The value can be
absolute or relative, and may have an optional fragment identifier (i.e., it may be a URI Reference). This type should be used to
specify the intention that the value fulfills the role of a URI as defined by [RFC 2396], as amended by [RFC 2732]."

Related issues:
Related to WG13 Issues - CIM Issues #6712: UML descriptions for <<Primitive>>... Review

History

#1 - 12/20/2023 10:48 AM - Todd Viegut
- Proposed Solution updated

- Decision updated

#2 - 02/03/2024 10:56 PM - Chavdar lvanov
- Status changed from New to Open

#3 - 02/03/2024 10:56 PM - Chavdar Ilvanov

- Status changed from Open to In Progress

#4 - 02/03/2024 11:04 PM - Chavdar Ivanov
- Solution to be Applied To set to CIM18v10
- Solution Version set to CIM18v10

- Solution Applied By set to Chavdar Ivanov
- Completion Date set to 02/04/2024

- Release Notes updated

#5 - 02/28/2024 10:27 AM - Chavdar Ivanov

- Related to CIM Issues #6712: UML descriptions for <<Primitive>> types in the Domain package need review and references to W3C and other
standards migration into IS publications. added

#6 - 02/28/2024 10:28 AM - Chavdar Ivanov
- Status changed from In Progress to Closed

- Completion Date changed from 02/04/2024 to 02/28/2024
